using System;
using System.Diagnostics;
using UnityEngine;
using Wizard;

public static class Debug
{
	public static bool isDebugBuild => UnityEngine.Debug.isDebugBuild;

	[Conditional("CYG_DEBUG")]
	public static void Assert(bool condition)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void Assert(bool condition, string message)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void Assert(bool condition, string format, params object[] args)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void Break()
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void ClearDeveloperConsole()
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void DrawLine(Vector3 start, Vector3 end)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void DrawLine(Vector3 start, Vector3 end, Color color)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void DrawLine(Vector3 start, Vector3 end, Color color, float duration)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void DrawLine(Vector3 start, Vector3 end, Color color, float duration, bool depthTest)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void DrawRay(Vector3 start, Vector3 dir)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void DrawRay(Vector3 start, Vector3 dir, Color color)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void DrawRay(Vector3 start, Vector3 dir, Color color, float duration)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void DrawRay(Vector3 start, Vector3 dir, Color color, float duration, bool depthTest)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void Log(object message, UnityEngine.Object context = null)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void LogFormat(string format, params object[] args)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void LogFormat(UnityEngine.Object context, string format, params object[] args)
	{
	}

	public static void LogError(object message, UnityEngine.Object context = null)
	{
		LocalLog.AccumulateTraceLog(message.ToString());
	}

	public static void LogErrorFormat(string format, params object[] args)
	{
		LocalLog.AccumulateTraceLog(format.ToString());
	}

	public static void LogErrorFormat(UnityEngine.Object context, string format, params object[] args)
	{
		LocalLog.AccumulateTraceLog(context.ToString() + "Context:" + context.ToString() + "Params:" + args.ToString());
	}

	public static void LogException(Exception exception)
	{
		LocalLog.AccumulateTraceLog(exception.ToString());
	}

	public static void LogException(Exception exception, UnityEngine.Object context)
	{
		LocalLog.AccumulateTraceLog(exception.ToString() + "Context:" + context.ToString());
	}

	[Conditional("CYG_DEBUG")]
	public static void LogWarning(object message, UnityEngine.Object context = null)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void LogWarningFormat(string format, params object[] args)
	{
	}

	[Conditional("CYG_DEBUG")]
	public static void LogWarningFormat(UnityEngine.Object context, string format, params object[] args)
	{
	}
}
